<div class="jumbotron">
  <br>
  <h1 style="text-align:center">{{title}}</h1>
  <br>

  <div class="row">
    <div class="col-sm-4 offset-sm-4">      
      <h4><small>* marks required fields</small></h4>
      <form name="userSignupForm" (ngSubmit)="userSignupForm.form.valid && signupUser()" #userSignupForm="ngForm" novalidate>
        
        <div class="form-group" [ngClass]="{ 'is-invalid': userSignupForm.submitted && (name.invalid || email.invalid || phone.invalid || password.invalid) }">
          <div [hidden]="!name.touched || (name.touched && name.valid)" class="alert alert-danger">
            <div *ngIf="name.hasError('pattern')">Invalid Name</div>
            <div *ngIf="name.hasError('required')">Name is required</div>
          </div>
          <div [hidden]="!email.touched || (email.touched && email.valid)" class="alert alert-danger">
            <div *ngIf="email.hasError('pattern')">Email format should be <small><b>joe@abc.com</b></small></div>
          </div>
          <div [hidden]="!phone.touched || (phone.touched && phone.valid)" class="alert alert-danger">
            <div *ngIf="phone.hasError('pattern')">Invalid phone number</div>
          </div>
          <div [hidden]="!password.touched || (password.touched && password.valid)" class="alert alert-danger">
            <div *ngIf="password.hasError('pattern')">Invalid password</div>
            <div *ngIf="password.hasError('required')">Password is required</div>
            <div *ngIf="!matched">Password did not match</div>
          </div>
          <div [hidden]="matched" class="alert alert-danger">
            <div *ngIf="!matched">Password did not match</div>
          </div>
          <div [hidden]="!error" class="alert alert-danger">
              <div *ngIf="error">{{errorMessage}}</div>
            </div>
        </div>

        <div class="form-group" [ngClass]="{ 'is-invalid': userSignupForm.submitted && name.invalid }">
          <label>Name *</label>
          <input class="form-control" type="text" name="name" id="name" [(ngModel)]="userInfoModel.name" #name="ngModel" required pattern="^[A-Za-z]+$">         
        </div>        

        <div class="form-group" [ngClass]="{ 'is-invalid': userSignupForm.submitted && email.invalid }">
          <label>Email</label>
          <input class="form-control" type="text" name="email" id="email" [(ngModel)]="userInfoModel.email" #email="ngModel" pattern="^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$">
        </div>

        <div class="form-group" [ngClass]="{ 'is-invalid': userSignupForm.submitted && phone.invalid }">
          <label>Phone</label>
          <input class="form-control" type="text" name="phone" id="phone" [(ngModel)]="userInfoModel.phone" #phone="ngModel" pattern="^[+]*[(]{0,1}[0-9]{1,4}[)]{0,1}[-\s\./0-9]*$">
        </div>

        <div class="form-group" [ngClass]="{ 'is-invalid': userSignupForm.submitted && password.invalid }">
          <label>Password *</label>
          <!-- <input class="form-control" type="password" name="password" id="password" [(ngModel)]="userInfoModel.password" #password="ngModel" pattern="^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[#$^+=!*()@%&]).{8,10}$" placeholder="Password"> -->
          <input class="form-control" type="password" name="password" id="password" [(ngModel)]="userInfoModel.password" #password="ngModel" required pattern="^.{4,}$" >
        </div>

        <div class="form-group" [ngClass]="{ 'is-invalid': userSignupForm.submitted && retypePassword.invalid }">
          <label>Retype Password *</label>
          <!-- <input class="form-control" type="password" name="password" id="password" [(ngModel)]="userInfoModel.password" #password="ngModel" pattern="^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[#$^+=!*()@%&]).{8,10}$" placeholder="Password"> -->
          <input class="form-control" type="password" name="retypePassword" id="retypePassword" [(ngModel)]="userInfoModel.retypePassword" #retypePassword="ngModel" required pattern="^.{4,}$" >
        </div>
        
        <div class="form-group">
          <input class="btn btn-lg btn-info" type="submit" value="Sign up">
          <!-- <button class="btn btn-lg btn-info" type="submit">Sign up</button> -->
        </div>     
      </form>
    </div>
  </div>
</div>